output "vpc_id" {
  description = "L'ID du VPC créé."
  value       = google_compute_network.vpc_network.id
}

output "subnets_map" {
  description = "Map des IDs des sous-réseaux."
  value = {
    frontend = google_compute_subnetwork.frontend_subnet.id
    backend  = google_compute_subnetwork.backend_subnet.id
    database = google_compute_subnetwork.database_subnet.id
  }
}

output "network_name" {
  description = "Le nom du VPC créé."
  value       = google_compute_network.vpc_network.name
}